import type { Token } from './types.js';
/**
 * A lexer for JMESPath expressions.
 *
 * This lexer tokenizes a JMESPath expression into a sequence of tokens.
 */
declare class Lexer {
    #private;
    /**
     * Tokenize a JMESPath expression.
     *
     * This method is a generator that yields tokens for the given expression.
     *
     * @param expression The JMESPath expression to tokenize.
     */
    tokenize(expression: string): Generator<Token>;
}
export { Lexer };
//# sourceMappingURL=Lexer.d.ts.map